modular-implem.h File Reference

Generic implementation of Modular. More...

`#include <type_traits>`
`#include "givaro/givinteger.h"`
`#include "givaro/givcaster.h"`
`#include "givaro/givranditer.h"`
`#include "givaro/givtypestring.h"`
`#include "givaro/ring-interface.h"`
`#include "givaro/modular-general.h"`
Include dependency graph for modular-implem.h:

## Data Structures

class | Modular_implem< _Storage_t, _Compute_t, _Residu_t >
| This class implement the standard arithmetic with Modulo Elements. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

Generic implementation of Modular.